# $Revision: 1.6 $, $Date: 2008-01-26 18:17:25 $
#
# Conditional build:
%bcond_with	logdb	# server-side message logging support for mysql5 driver
#
%define		_snap	20070926r390

%define	realname	ejabberd-mysql
%define	_alt_name	%{nil}

%if %{with logdb}
%define	_alt_name	-logdb
%endif

Summary:	Ejabberd's native MySQL drivers
Summary(pl.UTF-8):	Natywne sterowniki do MySQL-a dla demona ejabberd
Name:		%{realname}%{_alt_name}
Version:	0
Release:	1.%{_snap}.0
License:	GPL
Group:		Applications/Communications
# get it from https://svn.process-one.net/ejabberd-modules/mysql/trunk/src/ and drop onto distfiles
Source0:	%{realname}.tar.gz
# Source0-md5:	3f3b5c59ebb5a807ec2d6c5ec31e795b
Patch0:		%{realname}-logdb_mysql5.patch
URL:		http://ejabberd.jabber.ru/
BuildRequires:	erlang >= R9C
BuildRequires:	rpmbuild(macros) >= 1.268
%if %{with logdb}
Requires:	ejabberd-logdb
Obsoletes:	ejabberd-mysql
Conflicts:	ejabberd-mysql
%else
Requires:	ejabberd
Obsoletes:	ejabberd-mysql-logdb
Conflicts:	ejabberd-mysql-logdb
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ejabberds native MySQL drivers.

%description -l pl.UTF-8
Natywne sterowniki do MySQL-a dla demona ejabberd.

%prep
%setup -q -n %{realname}
%if %{with logdb}
%patch0 -p0
%endif

%build
erlc mysql*.erl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ejabberd/ebin

install *.beam $RPM_BUILD_ROOT%{_libdir}/ejabberd/ebin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/ejabberd/ebin/mysql*.beam

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ejabberd-mysql.spec,v $
Revision 1.6  2008-01-26 18:17:25  shadzik
- use _alt_name if with logdb

Revision 1.5  2008-01-26 00:09:38  qboosh
- bcond header, pl cosmetic

Revision 1.4  2008-01-25 19:28:56  shadzik
- add patch0 for logdb pupose
- rel 1.snap

Revision 1.3  2007-09-26 19:42:43  shadzik
- no R: rc-scripts (ejabberd already requires it)

Revision 1.2  2007/09/26 14:23:51  shadzik
- small commen on where to get the source

Revision 1.1  2007/09/26 14:21:43  shadzik
- init
